API uç noktası
https://link.adv.net.tr/api/v1/spaces
İstek örneği
curl --location --request GET 'https://link.adv.net.tr/api/v1/spaces' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
name. Varsayılan olarak: name.
sort_by
id, Ad için name. Varsayılan olarak: id.
sort
desc, Artan için asc. Varsayılan olarak: desc.
per_page
10, 25, 50, 100. Varsayılan olarak: 10.
API uç noktası
https://link.adv.net.tr/api/v1/spaces/{id}
İstek örneği
curl --location --request GET 'https://link.adv.net.tr/api/v1/spaces/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API uç noktası
https://link.adv.net.tr/api/v1/spaces
İstek örneği
curl --location --request POST 'https://link.adv.net.tr/api/v1/spaces' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}'
Parameters
name
color
1, 2, 3, 4, 5, 6. Varsayılan olarak: 1.
API uç noktası
https://link.adv.net.tr/api/v1/spaces/{id}
İstek örneği
curl --location --request PUT 'https://link.adv.net.tr/api/v1/spaces/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
name
color
1, 2, 3, 4, 5, 6.
API uç noktası
https://link.adv.net.tr/api/v1/spaces/{id}
İstek örneği
curl --location --request DELETE 'https://link.adv.net.tr/api/v1/spaces/{id}' \ --header 'Authorization: Bearer {api_key}'